      subroutine elapsd (endsec,begsec,imin,isec,ihun)                  ELAP001
c ------------------------------------------------------                ELAP002
c     returns elapsed time split in min,sec,1/100                       ELAP003
c     generic XLIB (C) routine                                          ELAP004
c ------------------------------------------------------                ELAP005
      secs=endsec-begsec                                                ELAP006
      ihun=mod((secs*100),100)                                          ELAP007
      isec=mod(int(secs),60)                                            ELAP008
      imin=int(secs/60.0)                                               ELAP009
c --- check block --                                                    ELAP010
c      print*,'endsec=',endsec                                          ELAP011
c      print*,'begsec=',begsec                                          ELAP012
c      print*,'ihun=',ihun                                              ELAP013
c      print*,'isec=',isec                                              ELAP014
c      print*,'imin=',imin                                              ELAP015
                                                                        ELAP016
      return                                                            ELAP017
      end                                                               ELAP018
                                                                        ELAP019
                                                                        ELAP020
                                                                        ELAP021
                                                                        ELAP022
